keystone: links in versions response do not work

Bug #1313127 reported by Diane Fleming on 2014-04-26
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Identity (keystone)
Low
Andreas Jaeger

Bug Description

The GET / call against Identity returns a response with links that do not work. Replace the PDF link with a link to docs.openstack.org.

{
   "versions":{
      "values":[
         {
            "status":"stable",
            "updated":"2013-03-06T00:00:00Z",
            "media-types":[
               {
                  "base":"application/json",
                  "type":"application/vnd.openstack.identity-v3+json"
               },
               {
                  "base":"application/xml",
                  "type":"application/vnd.openstack.identity-v3+xml"
               }
            ],
            "id":"v3.0",
            "links":[
               {
                  "href":"http://23.253.228.211:5000/v3/",
                  "rel":"self"
               }
            ]
         },
         {
            "status":"stable",
            "updated":"2014-04-17T00:00:00Z",
            "media-types":[
               {
                  "base":"application/json",
                  "type":"application/vnd.openstack.identity-v2.0+json"
               },
               {
                  "base":"application/xml",
                  "type":"application/vnd.openstack.identity-v2.0+xml"
               }
            ],
            "id":"v2.0",
            "links":[
               {
                  "href":"http://23.253.228.211:5000/v2.0/",
                  "rel":"self"
               },
               {
                  "href":"http://docs.openstack.org/api/openstack-identity-service/2.0/content/",
                  "type":"text/html",
                  "rel":"describedby"
               },
               {
                  "href":"http://docs.openstack.org/api/openstack-identity-service/2.0/identity-dev-guide-2.0.pdf",
                  "type":"application/pdf",
                  "rel":"describedby"
               }
            ]
         }
      ]
   }
}

Andreas Jaeger (jaegerandi) wrote :

python-keystoneclient should be adjusted for this patch, the testsuite includes these examples as well.

Dolph Mathews (dolph) on 2014-04-27
tags: added: documentation

Fix proposed to branch: master
Review: https://review.openstack.org/92653

Changed in keystone:
assignee: nobody → Andreas Jaeger (jaegerandi)
status: New → In Progress
Brant Knudson (blk-u) wrote :

Which links don't work? The links in the response to docs work for me.

Reviewed: https://review.openstack.org/92653
Committed: https://git.openstack.org/cgit/openstack/keystone/commit/?id=646100b2cbef641ce04627ef397bbce3ad63a128
Submitter: Jenkins
Branch: master

commit 646100b2cbef641ce04627ef397bbce3ad63a128
Author: Andreas Jaeger <email address hidden>
Date: Wed May 7 20:30:19 2014 +0200

    Fix version links to docs.openstack.org

    Remove PDF link.
    Replace deep html links with links to the docs.openstack.org site.

    Change-Id: Ic7c2218bf43a221e8d753a910fdfb2243851214d
    Closes-Bug: #1313127

Changed in keystone:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2014-06-11
Changed in keystone:
milestone: none → juno-1
status: Fix Committed → Fix Released
Dolph Mathews (dolph) on 2014-09-29
Changed in keystone:
importance: Undecided → Low
Thierry Carrez (ttx) on 2014-10-16
Changed in keystone:
milestone: juno-1 → 2014.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers